## org.eclipse.emf.ecore.presentation
Class EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecore.presentation.EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  EcoreModelWizard

    public class EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage

extends WizardPage

This is the page where the type of object to create is selected.

Field Summary
`protected Combo` `encodingField`
`protected java.util.List<java.lang.String>` `encodings`
`protected Combo` `initialObjectField`
`protected ModifyListener` `validator`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage(java.lang.String pageId)` Pass in the selection

Method Summary
`void` `createControl(Composite parent)`
`void` `createControlGen(Composite parent)`
`java.lang.String` `getEncoding()`
`protected java.util.Collection<java.lang.String>` `getEncodings()`
`java.lang.String` `getInitialObjectName()`
`protected java.lang.String` `getLabel(java.lang.String typeName)` Returns the label for the specified type name
`void` `setVisible(boolean visible)`
`protected boolean` `validatePage()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### initialObjectField

    protected Combo initialObjectField

### encodings

    protected java.util.List<java.lang.String> encodings

### encodingField

    protected Combo encodingField

### validator

    protected ModifyListener validator

Constructor Detail

### EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage

    public EcoreModelWizard.EcoreModelWizardInitialObjectCreationPage(java.lang.String pageId)

  Pass in the selection.

Method Detail

### createControlGen

    public void createControlGen(Composite parent)

### createControl

    public void createControl(Composite parent)

### validatePage

    protected boolean validatePage()

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`

### getInitialObjectName

    public java.lang.String getInitialObjectName()

### getEncoding

    public java.lang.String getEncoding()

### getLabel

    protected java.lang.String getLabel(java.lang.String typeName)

  Returns the label for the specified type name.

### getEncodings

    protected java.util.Collection<java.lang.String> getEncodings()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.